# This file created by conda-build 3.18.9
# meta.yaml template originally from:
# /tmp/build/80754af9/aggregateR/r-bass-feedstock/recipe, last modified Wed Aug 14 06:52:07 2019
# ------------------------------------------------

package:
    name: r-bass
    version: 0.2.2
source:
    sha256: c277f903048d200bf8568afe1cc65fe8fb2ae01e53b4f7df9b31ec282e8c7ae0
    url:
        - https://cran.r-project.org/src/contrib/Archive/BASS/BASS_0.2.2.tar.gz
        - https://cran.r-project.org/src/contrib/BASS_0.2.2.tar.gz
build:
    number: '0'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r36h29659fb_0
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_8
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_8
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_8
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - make 4.2.1 h1bed415_1
    host:
        - _libgcc_mutex 0.1 main
        - _r-mutex 1.0.0 anacondar_1
        - binutils_impl_linux-64 2.28.1 had2808c_3
        - binutils_linux-64 7.2.0 had2808c_27
        - bwidget 1.9.11 1
        - bzip2 1.0.8 h7b6447c_0
        - ca-certificates 2019.5.15 1
        - cairo 1.14.12 h8948797_3
        - curl 7.65.2 hbc83047_0
        - fontconfig 2.13.0 h9420a91_0
        - freetype 2.9.1 h8a8886c_1
        - fribidi 1.0.5 h7b6447c_0
        - gcc_impl_linux-64 7.2.0 habb00fd_3
        - gcc_linux-64 7.2.0 h550dcbe_27
        - gfortran_impl_linux-64 7.2.0 hdf63c60_3
        - gfortran_linux-64 7.2.0 h550dcbe_27
        - glib 2.56.2 hd408876_0
        - graphite2 1.3.13 h23475e2_0
        - gsl 2.4 h14c3975_4
        - gxx_impl_linux-64 7.2.0 hdf63c60_3
        - gxx_linux-64 7.2.0 h550dcbe_27
        - harfbuzz 1.8.8 hffaf4a1_0
        - icu 58.2 h9c2bf20_1
        - jpeg 9b h024ee3a_2
        - krb5 1.16.1 h173b8e3_7
        - libcurl 7.65.2 h20c2e04_0
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libpng 1.6.37 hbc83047_0
        - libssh2 1.8.2 h1ba5d50_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - libtiff 4.0.10 h2733197_2
        - libuuid 1.0.3 h1bed415_2
        - libxcb 1.13 h1bed415_1
        - libxml2 2.9.9 hea5a465_1
        - make 4.2.1 h1bed415_1
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1c h7b6447c_1
        - pango 1.42.4 h049681c_0
        - pcre 8.43 he6710b0_0
        - pixman 0.38.0 h7b6447c_0
        - r-base 3.6.1 hce969dd_0
        - readline 7.0 h7b6447c_5
        - tk 8.6.8 hbc83047_0
        - tktable 2.10 h14c3975_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
        - zstd 1.3.7 h0b5b093_0
    run:
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
        - r-base >=3.6,<3.7.0a0
test:
    commands:
        - $R -e "library('BASS')"
about:
    home: https://CRAN.R-project.org/package=BASS
    license: GPL-3
    license_family: GPL3
    license_file: /tmp/build/80754af9/r-bass_1565766113231/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/lib/R/share/licenses/GPL-3
    summary: Bayesian fitting and sensitivity analysis methods for adaptive spline
        surfaces. Built to handle continuous and categorical inputs as well as functional
        or scalar output. An extension of the methodology in Denison, Mallick and
        Smith (1998) <doi:10.1023/A:1008824606259>.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - katietz
